

function CreditGame()
    KEY()
    ---[[
    --结尾插画
    for i=0,9,1 do
        local eventName = "Ending_"..i;
        SNP("CS_credit_ending",-11,4,0,"mainLayer",eventName)
        local moveIn = 30;
        local pause = 493;
        local moveOut = 30;
        ANP(eventName,"set_moveIn",moveIn)
        ANP(eventName,"set_pause",pause)
        ANP(eventName,"set_moveOut",moveOut)
        ANP(eventName,i,i*(moveIn + pause + moveOut) + 1)
    end
    WAI(30)
    CMU("CS_MimigaBack")
    --开始结尾致辞
    --登场角色
    for i=0,49,1 do
        local eventName = "Cast_"..i;
        SNP("CS_credit_line",21,23,0,"mainLayer",eventName)
        ANP(eventName,"cast")
        ANP(eventName,i)
        WAI(100)
    end
    WAI(760)
    --]]
    ---[[
    --怪物们
    for i=0,54,1 do
        local eventName = "Monsters_"..i;
        SNP("CS_credit_line",2,23,0,"mainLayer",eventName)
        ANP(eventName,"monsters")
        ANP(eventName,i)
        WAI(80)
    end
    WAI(120)
    --]]
    ---[[
    --头目们
    for i=0,9,1 do
        local eventName = "Bosses_"..i;
        SNP("CS_credit_line",2,23,0,"mainLayer",eventName)
        ANP(eventName,"bosses")
        ANP(eventName,i)
        WAI(80)
    end
    WAI(120)
    --]]
    ---[[
    --音乐
    for i=0,18,1 do
        local eventName = "Bgm_"..i;
        SNP("CS_credit_line",2,23,0,"mainLayer",eventName)
        ANP(eventName,"bgm")
        ANP(eventName,i)
        WAI(68)
    end
    WAI(120)
    --]]
    --非常感谢
    for i=0,20,1 do
        local eventName = "Thanks_"..i;
        SNP("CS_credit_line",2,23,0,"mainLayer",eventName)
        ANP(eventName,"thanks")
        ANP(eventName,i)
        WAI(68)
    end
    WAI(600)
    CRE()--关闭结尾致辞
end

function Credit()
    PRI()
    HMC()
    CMU("XXXX")
    CRE("MimigaMissingEvents_Credit")
    WAI(5790)
    KEY()
    ANP("Kanpa1","credit_walk",0)
    FLP("InCredit")
    FAI(2)
    CMU("CS_Wanpaku")
    WAI(700)
    FAO(2)
    TRA("CS_peace_town","Credit_Cut",0,0)
    --TRA("CS_village_around","Credit_Cut",0,0)
end

function Credit_Cut1()
    KEY()
    ANP("Kanpa1","credit_walk",0)
    FAI(2)
    WAI(420)
    FAO(2)
    TRA("CS_credit_hotel","Credit_Cut",0,0)
end

function Credit_Cut2()
    KEY()
    ANP("Kanpa1","credit_walk",0)
    FAI(2)
    WAI(420)
    FAO(2)
    TRA("CS_credit_disco","Credit_Cut",0,0)
end

function Credit_Cut3()
    KEY()
    ANP("Kanpa1","credit_walk",0)
    FAI(2)
    WAI(420)
    FAO(2)
    TRA("CS_peace_town","Credit_Cut2",0,0)
end

function Credit_Cut4()
    KEY()
    ANP("Kanpa1","credit_walk",0)
    FAI(2)
    WAI(420)
    FAO(2)
    TRA("CS_peace_town_recycle","Credit_Cut",0,0)
end

function Credit_Cut5()
    KEY()
    ANP("Kanpa1","credit_walk",0)
    FAI(2)
    WAI(420)
    FAO(2)
    TRA("CS_peace_town_noodle","Credit_Cut",0,0)
end

function Credit_Cut6()
    KEY()
    ANP("Kanpa1","credit_walk",0)
    FAI(2)
    WAI(420)
    FAO(2)
    TRA("CS_peace_town_divination","Credit_Cut",0,0)
end

function Credit_Cut7()
    KEY()
    ANP("Kanpa1","credit_walk",0)
    FAI(2)
    WAI(420)
    FAO(2)
    TRA("CS_village_around","Credit_Cut",0,0)
end

function Credit_Cut8()
    KEY()
    LAY("bk",true)
    DNP("Kanpa1")
    WAI(60)
    SNP("CS_mychar_kanpa_animate",2,6,1,"mainLayer","Kanpa1")ANP("Kanpa1","show_fishing_rod")ANP("Kanpa1","topdraw",1)
    WAI(60)
    SNP("CS_jack_animate",36,6,0,"mainLayer","Jack1")ANP("Jack1","show_gun")ANP("Jack1","topdraw",1)
    WAI(16)
    SNP("CS_santa_animate",37,6,0,"mainLayer","Santa1")ANP("Santa1","show_gun")ANP("Santa1","topdraw",1)
    WAI(60)
    SNP("CS_king_animate",2,18,1,"mainLayer","King1")ANP("King1","show_sword")ANP("King1","topdraw",1)
    WAI(60)
    SNP("CS_quote_animate",36,18,0,"mainLayer","Quote1")ANP("Quote1","show_missile",1)ANP("Quote1","topdraw",1)
    WAI(16)
    SNP("CS_curly_animate",37,18,0,"mainLayer","Curly1")ANP("Curly1","show_machinegun",1)ANP("Curly1","topdraw",1)
    WAI(60)
    MOV(20,11)FAI(4)
    SNP("CS_credit_end",16,23,0,"mainLayer","End1")
    WAI(436)
    ANP("End1","stop")
    PMU(5)
    WAI(999999)
end